#!/bin/bash

HOST="`hostname"
date=`date`
mailfile="/tmp/$$.bulog"

# Mail Header
echo "To: userid@yourdomain.org" > $mailfile
echo "From: userid@yourdomain.org" >> $mailfile
echo "Subject: $HOST: Report for $date" >> $mailfile
echo " " >> $mailfile
echo "$HOST backup report:" >> $mailfile 
echo "-------------------------------" >> $mailfile

# Run the backup.
$1 >> $mailfile 2>&1

# Send the report.
cat $mailfile | \
    /usr/local/ssmtp/sbin/ssmtp -t \
    -auuserid@yourdomain.org -apyourpassword \
    -amCRAM-MD5
rm $mailfile

